Main Page Class Hierarchy Compound List File List Compound Members File Members

# fft99.h File Reference

Go to the source code of this file.

## Defines
#define | PI 3.14159265358979323846
#define | FFT_EXTRA 2
## Functions
void | cfft99 (double *a, double *work, double *trigs, long *ifax, long inc, long jump, long n, long lot, long isign)
void | cftfax (long n, long *ifax, double *trigs)
void | fft99 (double *a, double *work, double *trigs, long *ifax, long inc, long jump, long n, long lot, long isign)
void | fft991 (double *a, double *work, double *trigs, long *ifax, long inc, long jump, long n, long lot, long isign)
void | fftfax (long n, long *ifax, double *trigs)

## Define Documentation

#define FFT_EXTRA 2

| Definition at line 23 of file fft99.h. Referenced by convertWave(), and gma().

#define PI 3.14159265358979323846

| Definition at line 21 of file fft99.h.

## Function Documentation

void cfft99 | ( | double * | a,
|  | double * | work,
|  | double * | trigs,
|  | long * | ifax,
|  | long | inc,
|  | long | jump,
|  | long | n,
|  | long | lot,
|  | long | isign
| ) |

| Definition at line 40 of file fft99.c. References vpassm().

void cftfax | ( | long | n,
|  | long * | ifax,
|  | double * | trigs
| ) |

| Definition at line 471 of file fft99.c. References cftrig(), and fact().

void fft99 | ( | double * | a,
|  | double * | work,
|  | double * | trigs,
|  | long * | ifax,
|  | long | inc,
|  | long | jump,
|  | long | n,
|  | long | lot,
|  | long | isign
| ) |

| Definition at line 1058 of file fft99.c. References fft99a(), fft99b(), and vpassm().

void fft991 | ( | double * | a,
|  | double * | work,
|  | double * | trigs,
|  | long * | ifax,
|  | long | inc,
|  | long | jump,
|  | long | n,
|  | long | lot,
|  | long | isign
| ) |

| Definition at line 1636 of file fft99.c. References fft99a(), fft99b(), and vpassm(). Referenced by convertWave(), gma(), and respLen().

void fftfax | ( | long | n,
|  | long * | ifax,
|  | double * | trigs
| ) |

| Definition at line 1804 of file fft99.c. References fax(), and fftrig(). Referenced by makeTrigs().